Subject: Re: [msysGit] [PATCH 1/2] MSVC: Do not close stdout to prevent a crash

From: Vincent van Ravesteijn <[email-masked]>
Date: Tue, 22 Nov 2011 07:45:21 +0100

>> To prevent the crash and to prevent git from writing cruft into the patch
>> file, we do not close stdout, but redirect it to "nul" instead.
> A more robust solution is to add invalidcontinue.obj to the linker
> command line. This installs an invalid argument handler that does not
> abort, and restores a sane behavior.

This seems to work only for release builds or did I miss something ?

Is there any argument to not redirect stdout to "/dev/null" on all 
platforms ?

Vincent